package vn.azteam.tpf.service.dto;

import java.time.Instant;
import java.util.List;

public class ActivityEnvDTO {
    private Long activityId;

    private Instant executeDate;

    private Long cropId;

    private String description;

    private List<ActivityEnvDetailDTO> envDetail;

    private List<String> media_del;

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Instant getExecuteDate() {
        return executeDate;
    }

    public void setExecuteDate(Instant executeDate) {
        this.executeDate = executeDate;
    }

    public Long getCropId() {
        return cropId;
    }

    public void setCropId(Long cropId) {
        this.cropId = cropId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<ActivityEnvDetailDTO> getEnvDetail() {
        return envDetail;
    }

    public void setEnvDetail(List<ActivityEnvDetailDTO> envDetail) {
        this.envDetail = envDetail;
    }

    public List<String> getMedia_del() {
        return media_del;
    }

    public void setMedia_del(List<String> media_del) {
        this.media_del = media_del;
    }

}
